IF NOT EXISTS
(
  SELECT SysColumns.Name 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'TextDescription'
    WHERE SysObjects.Name = 'Products'
)
  ALTER TABLE Products ADD TextDescription Text NULL 
GO

IF NOT EXISTS
(
  SELECT SysColumns.Name 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'OnlyOnlineValidArrivalDays'
    WHERE SysObjects.Name = 'Products'
)
  ALTER TABLE Products ADD OnlyOnlineValidArrivalDays BIT NULL 
GO
